#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include "xassert.h"
#include "daemon.h"

extern int no_daemon;

void daemon_init (void)
{
	pid_t pid;

	if (no_daemon)
		return;

	xassert ((pid = fork()) != -1, "Kopiowanie obrazu procesu: %m.");
	if (pid)
		exit (0);

	xassert (setsid() != -1, "Tworzenie sesji: %m.");
}
